Subject: bug#35474: Filesystem dependencies aren't respected if needed-at-boot

From: rendaw <[email-masked]>
Date: Mon, 29 Apr 2019 00:33:42 +0900

Package: guix
Version: 0.16.0

The documentation states that dependencies between filesystems will
determine the mount order, but actually needed-at-boot filesystems are
mounted in the order they appear in the config file.

Currently this is something that can trip people up and has an
inspecific error message but as far as I can tell it can be worked
around by reordering filesystems in the config, so perhaps adding a note
to the documentation would be a good temporary solution.